## cargo 0.67.1+ds0ubuntu0.libgit2

=== libgit2-sys/libgit2/CMakeLists.txt ===
# libgit2: the cross-platform, linkable library implementation of git.
# See `README.md` for build instructions.
#
# This top-level CMakeLists.txt sets up configuration options and
# determines which subprojects to build.

cmake_minimum_required(VERSION 3.5.1)

project(libgit2 VERSION "1.5.0" LANGUAGES C)

# Add find modules to the path
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")

#
# Build options
#

# Optional subsystems
option(BUILD_SHARED_LIBS       "Build Shared Library (OFF for Static)"                  ON)
option(BUILD_TESTS             "Build Tests using the Clar suite"                       ON)
option(BUILD_CLI               "Build the command-line interface"                       ON)
option(BUILD_EXAMPLES          "Build library usage example apps"                      OFF)
option(BUILD_FUZZERS           "Build the fuzz targets"                                OFF)

# Suggested functionality that may not be available on a per-platform basis
option(USE_THREADS             "Use threads for parallel processing when possible"      ON)
option(USE_NSEC                "Support nanosecond precision file mtimes and ctimes"    ON)

# Backend selection
option(USE_SSH                 "Link with libssh2 to enable SSH support"               OFF)
option(USE_HTTPS               "Enable HTTPS support. Can be set to a specific backend" ON)
option(USE_SHA1                "Enable SHA1. Can be set to CollisionDetection(ON)/HTTPS" ON)
option(USE_SHA256              "Enable SHA256. Can be set to HTTPS/Builtin" ON)
option(USE_GSSAPI              "Link with libgssapi for SPNEGO auth"      OFF)
   set(USE_HTTP_PARSER         "" CACHE STRING "Specifies the HTTP Parser implementation; either system or builtin.")
   set(REGEX_BACKEND           "" CACHE STRING "Regular expression implementation. One of regcomp_l, pcre2, pcre, regcomp, or builtin.")
option(USE_BUNDLED_ZLIB        "Use the bundled version of zlib. Can be set to one of Bundled(ON)/Chromium. The Chromium option requires a x86_64 processor with SSE4.2 and CLMUL" OFF)

# Debugging options
option(USE_LEAK_CHECKER        "Run tests with leak checker"                           OFF)
option(USE_STANDALONE_FUZZERS  "Enable standalone fuzzers (compatible with gcc)"       OFF)
option(DEBUG_POOL              "Enable debug pool allocator"                           OFF)
option(DEBUG_STRICT_ALLOC      "Enable strict allocator behavior"                      OFF)
option(DEBUG_STRICT_OPEN       "Enable path validation in open"                        OFF)

# Output options
option(SONAME                  "Set the (SO)VERSION of the target"                      ON)
   set(LIBGIT2_FILENAME        "git2" CACHE STRING "Name of the produced binary")
option(DEPRECATE_HARD          "Do not include deprecated functions in the library"    OFF)

# Compilation options
option(ENABLE_WERROR           "Enable compilation with -Werror"                       OFF)

if(UNIX)
	# NTLM client requires crypto libraries from the system HTTPS stack
	if(NOT USE_HTTPS)
		option(USE_NTLMCLIENT  "Enable NTLM support on Unix."                  OFF)
	else()
		option(USE_NTLMCLIENT  "Enable NTLM support on Unix."                   ON)
	endif()

	option(ENABLE_REPRODUCIBLE_BUILDS "Enable reproducible builds"                 OFF)
endif()

if(APPLE)
	option(USE_ICONV           "Link with and use iconv library"                    ON)
endif()

if(MSVC)
	# This option must match the settings used in your program, in particular if you
	# are linking statically
	option(STATIC_CRT          "Link the static CRT libraries"                      ON)

	# If you want to embed a copy of libssh2 into libgit2, pass a
	# path to libssh2
	option(EMBED_SSH_PATH      "Path to libssh2 to embed (Windows)"                OFF)

	# Enable leak checking using the debugging C runtime.
	option(WIN32_LEAKCHECK     "Enable leak reporting via crtdbg"                  OFF)
endif()

if(WIN32)
	# By default, libgit2 is built with WinHTTP.  To use the built-in
	# HTTP transport, invoke CMake with the "-DUSE_WINHTTP=OFF" argument.
	option(USE_WINHTTP         "Use Win32 WinHTTP routines"                         ON)
endif()

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()


# Modules

include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckStructHasMember)
include(CheckPrototypeDefinition)
include(AddCFlagIfSupported)
include(FindPkgLibraries)
include(FindThreads)
include(FindStatNsec)
include(Findfutimens)
include(GNUInstallDirs)
include(IdeSplitSources)
include(FeatureSummary)
include(EnableWarnings)
include(DefaultCFlags)


#
# Subdirectories
#

add_subdirectory(src)

if(BUILD_TESTS)
	enable_testing()
	add_subdirectory(tests)
endif()

if(BUILD_EXAMPLES)
	add_subdirectory(examples)
endif()

if(BUILD_FUZZERS)
	if((BUILD_TESTS OR BUILD_EXAMPLES) AND NOT USE_STANDALONE_FUZZERS)
		message(FATAL_ERROR "Cannot build the fuzzer and the tests or examples together")
	endif()
	add_subdirectory(fuzzers)
endif()


# Export for people who use us as a dependency

if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
	set(LIBGIT2_DEPENDENCY_OBJECTS ${LIBGIT2_DEPENDENCY_OBJECTS} PARENT_SCOPE)
	set(LIBGIT2_SYSTEM_LIBS ${LIBGIT2_SYSTEM_LIBS} PARENT_SCOPE)
endif()


# Summary

feature_summary(WHAT ENABLED_FEATURES DESCRIPTION "Enabled features:")
feature_summary(WHAT DISABLED_FEATURES DESCRIPTION "Disabled features:")

=== debian/changelog ===
cargo (0.67.1+ds0ubuntu0.libgit2-0ubuntu0.22.04.2) jammy; urgency=medium

  * Backport to Jammy (LP: #2005123)
    - d/control: Remove dh-cargo from B-D
  * Re-enable libgit2 vendoring:
    - d/control: Remove libgit2-dev and libhttp-parser-dev from B-D

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 08 Mar 2023 15:12:36 -0700

cargo (0.67.1+ds0ubuntu1-0ubuntu1) lunar; urgency=medium

  * Update to Cargo 0.67.1 (LP: #2005123)
    - d/vendor-tarball-unsuspicious.txt: update unsuspicious list to exclude
      removed source files
    - d/p/cve/*: remove patches that are merged upstream
    - d/make_orig_multi-pre-vendor.sh: downgrade clap to 4.0.15 to avoid
      some UI tests behaving incorrectly
    - d/p: refresh debian patches to adapt to Cargo 0.67.1
    - d/debcargo-conf.patch: refresh debconf patches to adapt to newer
      vendored dependencies
    - d/copyright: update copyright information for vendored dependencies

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 15 Feb 2023 13:08:31 -0700

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 cargo:native    (>= 0.56.0),
 rustc:native    (>= 1.63),
 libstd-rust-dev (>= 1.63),
 pkg-config,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libssl-dev,
 zlib1g-dev,
 zlib1g-dev:native,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
XSBC-Original-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
XSBC-Original-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
Vcs-Git: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
Vcs-Browser: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.20, anyhow@1.0.68, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, base64@0.13.1, bitflags@1.3.2, bitmaps@2.1.0, block-buffer@0.10.3, bstr@1.1.0, bytes@1.4.0, bytesize@1.1.0, cc@1.0.79, cfg-if@1.0.0, clap@4.0.15, clap_lex@0.3.1, combine@4.6.6, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, concolor-query@0.0.5, concolor@0.0.8, content_inspector@0.2.4, core-foundation-sys@0.8.3, core-foundation@0.9.3, cpufeatures@0.2.5, crc32fast@1.3.2, crypto-common@0.1.6, crypto-hash@0.3.4, curl-sys@0.4.59+curl-7.86.0, curl@0.4.44, digest@0.10.6, dunce@1.0.3, either@1.8.1, env_logger@0.7.1, env_logger@0.9.3, fastrand@1.8.0, filetime@0.2.19, flate2@1.0.25, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fwdansi@1.1.0, generic-array@0.14.6, git2-curl@0.17.0, git2@0.16.1, glob@0.3.1, globset@0.4.10, hashbrown@0.12.3, hex@0.4.3, hmac@0.12.1, home@0.5.4, humantime@1.3.0, humantime@2.1.0, idna@0.3.0, ignore@0.4.20, im-rc@15.1.0, indexmap@1.9.2, itertools@0.10.5, itoa@1.0.5, jobserver@0.1.25, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.139, libgit2-sys@0.14.2+1.5.1, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.8, log@0.4.17, memchr@2.5.0, miniz_oxide@0.6.2, miow@0.3.7, normalize-line-endings@0.3.0, num-traits@0.2.15, once_cell@1.17.0, opener@0.5.2, openssl-macros@0.1.0, openssl-probe@0.1.5, openssl-sys@0.9.80, openssl@0.10.45, ordered-float@2.10.0, os_info@3.6.0, os_str_bytes@6.4.1, pathdiff@0.2.1, percent-encoding@2.2.0, pkg-config@0.3.26, pretty_env_logger@0.4.0, proc-macro2@1.0.50, quick-error@1.2.3, quote@1.0.23, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.2.16, regex-automata@0.1.10, regex-syntax@0.6.28, regex@1.7.1, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.1, ryu@1.0.12, same-file@1.0.6, schannel@0.1.19, semver@1.0.16, serde-value@0.7.0, serde@1.0.152, serde_derive@1.0.152, serde_ignored@0.1.7, serde_json@1.0.91, sha1@0.10.5, shell-escape@0.1.5, similar@2.2.1, sized-chunks@0.6.5, snapbox-macros@0.3.1, snapbox@0.3.3, socket2@0.4.7, static_assertions@1.1.0, strip-ansi-escapes@0.1.1, strsim@0.10.0, subtle@2.4.1, syn@1.0.107, tar@0.4.38, tempfile@3.3.0, termcolor@1.2.0, thread_local@1.1.4, tinyvec@1.6.0, tinyvec_macros@0.1.0, toml_datetime@0.5.1, toml_edit@0.15.0, typenum@1.16.0, unicode-bidi@0.3.10, unicode-ident@1.0.6, unicode-normalization@0.1.22, unicode-width@0.1.10, unicode-xid@0.2.4, url@2.3.1, utf8parse@0.2.0, vcpkg@0.2.15, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, yansi@0.5.1

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

=== debian/tests/control ===
Tests: self-build
Restrictions: rw-build-tree, allow-stderr
# Ubuntu: we don't have the disk space problem on Ubuntu
# Architecture: amd64, armhf, i386, s390x #arm64 and ppc64el run out of disk space when running this test
Depends: @builddeps@

## cargo 0.67.1+ds0ubuntu1

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,15 @@
  cargo:native    (>= 0.56.0),
  rustc:native    (>= 1.63),
  libstd-rust-dev (>= 1.63),
+ dh-cargo        (>= 28ubuntu1),
  pkg-config,
  bash-completion,
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
+ libgit2-dev (>= 1.5.0),
+ libgit2-dev (<< 1.6~~),
+ libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
  zlib1g-dev:native,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

CARGO = $(CURDIR)/debian/bin/cargo

export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=cargo_$(DEB_VERSION_UPSTREAM)
RUSTFLAGS := --remap-path-prefix=$(CURDIR)=/usr/src/cargo-$(DEB_VERSION_UPSTREAM)

# https://github.com/rust-lang/rust/issues/52108
ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
  RUSTFLAGS += -Ctarget-feature=+xgot
endif

export RUSTFLAGS

# don't shrink, this can take ages
# see https://github.com/rust-lang/cargo/issues/6490 for details
export PROPTEST_MAX_SHRINK_ITERS = 0
export CARGO_TEST_SLOW_CPU_MULTIPLIER = 4

# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     CARGO_TEST_FLAGS="package::include -- <args ...>"
# See `cargo test --help` for more options.
CARGO_TEST_FLAGS =

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources
	$(CARGO) prepare-debian $(CURDIR)/vendor

override_dh_auto_build-arch:
	$(CARGO) build

override_dh_auto_build-indep:
	$(CARGO) doc

override_dh_auto_test-arch:
	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)

override_dh_auto_test-indep:
	# no arch-indep tests

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/cargo $(CARGO) install

override_dh_auto_clean:
	$(CARGO) clean

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig
	rm -f Cargo.lock

## cargo 0.68.0+ds0ubuntu1

=== debian/changelog ===
cargo (0.68.0+ds0ubuntu1-0ubuntu1) lunar; urgency=medium

  * Update to Cargo 0.68.0 (LP: #2007608)
    - d/s/debian-cargo-vendor: Add a step to remove windows-sys
      and their friends from vendored sources
    - d/debcargo-conf.patch: Rebase patches
    - d/control: Bump rustc requirements
    - d/control: Update vendored sources information
    - d/copyright: update copyright information for vendored dependencies
    - d/vendor-tarball-unsuspicious.txt: update unsuspicious list to include
      some newly added source files
  * vendor: removed windows-sys and its related libraries from the tree
    to avoid including questionably licensed binary blobs from Microsoft
  * d/p/2901-ubuntu-is-terminal-remove-windows-sys.patch: a new patch to
    remove the windows-sys dependency from the is-terminal library
  * d/p/2900-ubuntu-remove-miow-dependency.patch: add a new patch to
    remove the miow dependency from Cargo to avoid introducing windows-sys
    into the vendor tree (windows-sys is a transitive dependency of miow)
  * .gitignore: only ignore the top-level target folder so that any tests
    called "target" will still be included in the source tree

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 17 Feb 2023 00:28:52 -0700

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 cargo:native    (>= 0.56.0),
 rustc:native    (>= 1.65),
 libstd-rust-dev (>= 1.65),
 dh-cargo        (>= 28ubuntu1),
 pkg-config,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.5.0),
 libgit2-dev (<< 1.6~~),
 libhttp-parser-dev,
 libssl-dev,
 zlib1g-dev,
 zlib1g-dev:native,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
XSBC-Original-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
XSBC-Original-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
Vcs-Git: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
Vcs-Browser: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.20, anyhow@1.0.69, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, base64@0.13.1, bitflags@1.3.2, bitmaps@2.1.0, block-buffer@0.10.3, bstr@1.2.0, bytes@1.4.0, bytesize@1.1.0, cc@1.0.79, cfg-if@1.0.0, clap@4.0.15, clap_lex@0.3.1, combine@4.6.6, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, concolor-query@0.1.0, concolor@0.0.11, content_inspector@0.2.4, core-foundation-sys@0.8.3, core-foundation@0.9.3, cpufeatures@0.2.5, crc32fast@1.3.2, crypto-common@0.1.6, crypto-hash@0.3.4, curl-sys@0.4.59+curl-7.86.0, curl@0.4.44, digest@0.10.6, dunce@1.0.3, either@1.8.1, env_logger@0.10.0, env_logger@0.7.1, errno@0.2.8, fastrand@1.9.0, filetime@0.2.20, flate2@1.0.25, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fwdansi@1.1.0, generic-array@0.14.6, git2-curl@0.17.0, git2@0.16.1, glob@0.3.1, globset@0.4.10, hashbrown@0.12.3, hermit-abi@0.3.1, hex@0.4.3, hmac@0.12.1, home@0.5.4, http-auth@0.1.8, humantime@1.3.0, humantime@2.1.0, idna@0.3.0, ignore@0.4.20, im-rc@15.1.0, indexmap@1.9.2, io-lifetimes@1.0.5, is-terminal@0.4.3, itertools@0.10.5, itoa@1.0.5, jobserver@0.1.25, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.139, libgit2-sys@0.14.2+1.5.1, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.8, linux-raw-sys@0.1.4, log@0.4.17, memchr@2.5.0, miniz_oxide@0.6.2, miow@0.5.0, normalize-line-endings@0.3.0, num-traits@0.2.15, once_cell@1.17.1, opener@0.5.2, openssl-macros@0.1.0, openssl-probe@0.1.5, openssl-sys@0.9.80, openssl@0.10.45, ordered-float@2.10.0, os_info@3.6.0, os_str_bytes@6.4.1, pathdiff@0.2.1, percent-encoding@2.2.0, pkg-config@0.3.26, pretty_env_logger@0.4.0, proc-macro2@1.0.51, quick-error@1.2.3, quote@1.0.23, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.2.16, regex-automata@0.1.10, regex-syntax@0.6.28, regex@1.7.1, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.1, rustix@0.36.8, ryu@1.0.12, same-file@1.0.6, schannel@0.1.19, semver@1.0.16, serde-value@0.7.0, serde@1.0.152, serde_derive@1.0.152, serde_ignored@0.1.7, serde_json@1.0.93, sha1@0.10.5, shell-escape@0.1.5, similar@2.2.1, sized-chunks@0.6.5, snapbox-macros@0.3.1, snapbox@0.4.5, socket2@0.4.7, static_assertions@1.1.0, strip-ansi-escapes@0.1.1, strsim@0.10.0, subtle@2.4.1, syn@1.0.107, tar@0.4.38, tempfile@3.3.0, termcolor@1.2.0, thread_local@1.1.7, tinyvec@1.6.0, tinyvec_macros@0.1.1, toml_datetime@0.5.1, toml_edit@0.15.0, typenum@1.16.0, unicode-bidi@0.3.10, unicode-ident@1.0.6, unicode-normalization@0.1.22, unicode-width@0.1.10, unicode-xid@0.2.4, url@2.3.1, utf8parse@0.2.0, vcpkg@0.2.15, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, yansi@0.5.1

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

## cargo 0.70.1+ds1

=== debian/changelog ===
cargo (0.70.1+ds1-2) unstable; urgency=medium

  [ Fabian Gruenbichler ]
  * riscv64: skip test for split debug info (support disabled in rustc)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 30 Dec 2023 15:00:37 +0100

cargo (0.70.1+ds1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 16 Dec 2023 11:03:47 +0100

cargo (0.70.1+ds1-1~exp1) experimental; urgency=medium

  * update libgit2 to 1.7.1

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 16 Dec 2023 10:46:19 +0100

cargo (0.70.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Fix cargo-doc contents
  * Update lintian overrides
  * Add myself to Uploaders
  * Disable flaky publish tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 24 Oct 2023 11:41:25 +0200

cargo (0.66.0+ds2-2) unstable; urgency=medium

  * disable more flaky publish tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 04 Dec 2023 07:57:07 +0100

cargo (0.66.0+ds2-1) unstable; urgency=medium

  [ Zixing Liu ]
  * d/bin/cargo: handle LTO options from DEB_BUILD_OPTIONS ...

  [ Fabian Grünbichler ]
  * update libgit2 to 1.7.1
  * disable flaky publish tests

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 03 Dec 2023 19:38:28 +0100

=== debian/control ===
Source: cargo
Section: devel
Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 cargo:native    (>= 0.56.0),
 rustc:native    (>= 1.63),
 libstd-rust-dev (>= 1.63),
 pkg-config,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.7.1),
 libgit2-dev (<< 1.8~~),
 libhttp-parser-dev,
 libssl-dev,
 zlib1g-dev,
 zlib1g-dev:native,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package

=== debian/rules ===
--- 
+++ 
@@ -36,14 +36,13 @@
 	dh $@ --with bash-completion
 
 override_dh_auto_configure:
-	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources
 	$(CARGO) prepare-debian $(CURDIR)/vendor
 
 override_dh_auto_build-arch:
 	$(CARGO) build
 
 override_dh_auto_build-indep:
-	$(CARGO) doc
+	$(CARGO) doc --no-deps
 
 override_dh_auto_test-arch:
 	CFG_DISABLE_CROSS_TESTS=1 $(CARGO) test $(CARGO_TEST_FLAGS)
